package com.zhongshu.reward.server.core.config;


import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
//@Configuration
@ConfigurationProperties(prefix = "wechat")
public class WeChatConfig {

    /**
     * 商户号
     */
    private String merchantId;

    /**
     * 商户API私钥
     */
    private String privateKey;

    /**
     * 商户证书序列号
     */
    private String merchantSerialNumber;

    /**
     * 商户APIV3密钥
     */
    private String apiV3Key;

    /**
     * 资金类型 （归类）
     */
    private String transferSceneId;

    /**
     * 商户id
     */
    private String appid;

//    @Bean
//    public TransferBatchService index() {
//        // 初始化商户配置
//        Config config =
//                new RSAAutoCertificateConfig.Builder()
//                        .merchantId(merchantId)
//                        // 使用 com.wechat.pay.java.core.util
//                        // 中的函数从本地文件中加载商户私钥，商户私钥会用来生成请求的签名
//                        .privateKey(privateKey)
//                        .merchantSerialNumber(merchantSerialNumber)
//                        .apiV3Key(apiV3Key)
//                        .build();
//
////        com.wechat.pay.java.core.util.PemUtil
//
//        // 初始化服务
//        return new TransferBatchService.Builder().config(config).build();
//
//
//    }

}
