package com.zhongshu.reward.server.core.dao;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.reward.server.core.dao.extend.VipUserRecordDaoExtend;
import com.zhongshu.reward.server.core.domain.VipUserRecord;

import java.util.List;

/**
 * @author wjf
 * @date 2024/8/8
 */
public interface VipUserRecordDao extends MongoDao<VipUserRecord>, VipUserRecordDaoExtend {

    boolean existsByCpIdAndSucInAndIdNot(String cpId, List<Integer> suc, String id);
    VipUserRecord findTop1ByCpIdAndSucOrderByOperateTime(String cpId, Integer suc);

    VipUserRecord findTop1ByCpIdOrderByOperateTime(String cpId);

    VipUserRecord findTop1ByCpIdOrderByCreateTimeDesc(String cpId);
}
