package com.zhongshu.reward.server.core.dao.extend;

import com.zhongshu.reward.client.model.InviteSuccessModel;
import com.zhongshu.reward.server.core.dao.WalletReceiptsDao;
import com.zhongshu.reward.server.core.domain.WalletReceipts;

import java.util.List;

/**
 * @author wjf
 * @date 2024/8/12
 */
public interface WalletReceiptsDaoExtend {

    List<WalletReceipts> inviteDetail(String inviteUserId, Long startTime, Long endTime);

    List<WalletReceipts> listMonth(Long startTime, Long endTime, Integer day);

    List<InviteSuccessModel> myInvite(String userId);

    List<WalletReceipts> listMonthBySetMealCode(Long startTime, Long endTime, List<String> setMealCodeList);

    WalletReceipts findNoCancelByCreateTime(String userId, Long startTime, Long endTime);

    List<WalletReceipts> findByEstimatedTime(Long currentTime);
}
